Name:    plasma-pstate
Summary: Plasma pstate and smbios controls
Version: 2.0.0
Release: 1%{?dist}

License:        GPLv2+
URL:            https://github.com/frankenfruity/plasma-pstate
Source0:        https://github.com/frankenfruity/plasma-pstate/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-filesystem
BuildRequires:  fdupes
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(Qt5Quick)

%description
Intel P-state and CPUFreq Manager is a KDE Plasma widget in order to control the frequencies of Intel CPUs and their integrated GPUs for any modern Intel Processors running in Active Mode with HWP or Active Mode Without HWP. It can also manage the processor's energy consumption through Energy-Performance Preference (EPP) knob (if supported) or the Energy-Performance Bias (EPB) knob (otherwise).
Can interact with vendor specific libraries like libsmbios

%prep
%autosetup -n %{name}-%{version}


%build
%{cmake_kf5}

%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{_datadir}/polkit-1/actions
install -m 644 ./src/plasma_pstate.policy %{buildroot}%{_datadir}/polkit-1/actions
%fdupes %{buildroot}




%files
# %dir %{_kf5_datadir}/plasma/plasmoids/
%dir %{_kf5_datadir}/plasma/plasmoids/gr.ictpro.jsalatas.plasma.pstate
%{_kf5_datadir}/plasma/plasmoids/gr.ictpro.jsalatas.plasma.pstate/*
%{_kf5_metainfodir}/gr.ictpro.jsalatas.plasma.pstate.appdata.xml
# %dir %{_kf5_datadir}/polkit-1/
%dir %{_kf5_datadir}/polkit-1/actions
%{_kf5_datadir}/kservices5/plasma-applet-gr.ictpro.jsalatas.plasma.pstate.desktop
%{_kf5_datadir}/polkit-1/actions/plasma_pstate.policy
%dir %{_kf5_qtplugindir}/plasma/applets/
%{_kf5_qtplugindir}/plasma/applets/plasma_applet_pstate.so

%changelog
* 2.0.0
